Skip to main content

Set up StorageGRID backup to cloud

POST /onprem/working-environments/{workingEnvironmentId}/sgws-cloud-backup-setup

Sets up StorageGRID backup to cloud on an on-premises system.

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

sgwsCredentials

SgwsCredentialsRequest

True

ipSpace

string

False

IPspace

Example request
{
  "sgwsCredentials": {
    "accessKey": "string",
    "secretKey": "string",
    "serviceUrl": "string"
  },
  "ipSpace": "string"
}

Error

Status: Default, Default response

Definitions

See Definitions

SgwsCredentialsRequest

Name Type Required Description

accessKey

string

True

StorageGRID access key

secretKey

string

True

StorageGRID secret key

serviceUrl

string

False

StorageGRID endpoint (protocol, FQDN, and port)